com.trendmicro.ds.platform.rest.object.smartfolder

## Enum QueryDefinition.ValueType

- java.lang.Object
- - java.lang.Enum<QueryDefinition.ValueType>
  - - com.trendmicro.ds.platform.rest.object.smartfolder.QueryDefinition.ValueType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QueryDefinition.ValueType>
  Enclosing class:
    QueryDefinition

      public static enum QueryDefinition.ValueType
      extends java.lang.Enum<QueryDefinition.ValueType>

  The variable types allowed for value fields

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE`
    `LIST`
    `NONE`
    `NUMBER`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryDefinition.ValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QueryDefinition.ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final QueryDefinition.ValueType STRING

    - #### LIST

          public static final QueryDefinition.ValueType LIST

    - #### DATE

          public static final QueryDefinition.ValueType DATE

    - #### NUMBER

          public static final QueryDefinition.ValueType NUMBER

    - #### NONE

          public static final QueryDefinition.ValueType NONE

  - ### Method Detail

    - #### values

          public static QueryDefinition.ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryDefinition.ValueType c : QueryDefinition.ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryDefinition.ValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Trend Micro Inc. All Rights Reserved.